package opc.ua.services.common;

import opc.ua.addressspace.datatype.LocalizedText;

public class DataTypeAttributes {

	private long specifiedAttributes;
	private LocalizedText displayName;
	private LocalizedText description;
	private boolean isAbstract;
	private long writeMask;
	private long userWriteMask;

	
	public long getSpecifiedAttributes() {
		return specifiedAttributes;
	}
	public void setSpecifiedAttributes(long specifiedAttributes) {
		this.specifiedAttributes = specifiedAttributes;
	}
	public LocalizedText getDisplayName() {
		return displayName;
	}
	public void setDisplayName(LocalizedText displayName) {
		this.displayName = displayName;
	}
	public LocalizedText getDescription() {
		return description;
	}
	public void setDescription(LocalizedText description) {
		this.description = description;
	}
	public boolean isAbstract() {
		return isAbstract;
	}
	public void setAbstract(boolean isAbstract) {
		this.isAbstract = isAbstract;
	}
	public long getWriteMask() {
		return writeMask;
	}
	public void setWriteMask(long writeMask) {
		this.writeMask = writeMask;
	}
	public long getUserWriteMask() {
		return userWriteMask;
	}
	public void setUserWriteMask(long userWriteMask) {
		this.userWriteMask = userWriteMask;
	}

}
